Delete event
curl --request DELETE \
--url https://api.gcore.com/storage/notifications/v1/event \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "reaching_used_space, reaching_files_quantity, reaching_used_traffic, reaching_used_requests",
"bucket_name": "<string>",
"bytes": 500,
"count": 5,
"storage_name": "<string>",
"uuid": "<string>"
}
'import requests
url = "https://api.gcore.com/storage/notifications/v1/event"
payload = {
"name": "reaching_used_space, reaching_files_quantity, reaching_used_traffic, reaching_used_requests",
"bucket_name": "<string>",
"bytes": 500,
"count": 5,
"storage_name": "<string>",
"uuid": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'reaching_used_space, reaching_files_quantity, reaching_used_traffic, reaching_used_requests',
bucket_name: '<string>',
bytes: 500,
count: 5,
storage_name: '<string>',
uuid: '<string>'
})
};
fetch('https://api.gcore.com/storage/notifications/v1/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Notifications
Delete event
Remove a notification event threshold. This will stop alerts for the specified storage usage, file count, traffic, or request limit.
DELETE
/
storage
/
notifications
/
v1
/
event
Delete event
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Client ID
Body
application/json
Event for storage notification
Response
Was this page helpful?
⌘I